Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.cxf.builder
Class JaxWsClientMessageProcessorBuilder

    java.lang.Object
      org.mule.module.cxf.builder.AbstractOutboundMessageProcessorBuilder
          org.mule.module.cxf.builder.AbstractClientMessageProcessorBuilder
              org.mule.module.cxf.builder.JaxWsClientMessageProcessorBuilder

All Implemented Interfaces:
  MuleContextAware, MessageProcessorBuilder

Direct Known Subclasses:
  JaxWsClientFactoryBean

    public class JaxWsClientMessageProcessorBuilder

extends AbstractClientMessageProcessorBuilder

Builds a JAX-WS client based `CxfOutboundMessageProcessor`. There are two ways to configure the client:

1. WSDL generated client: using the CXF wsdl2java tool, you can configure this biulder using the clientClass, port and wsdlLocation property. The MessageProcessor will then use the generated client proxy to make service invocations.
2. JAX-WS service class: if the serviceClass attribute is specified, this builder will use the `JaxWsClientFactoryBean` from CXF to biuld a CXF Client. The MessageProcessor will then use this client instnace to make invocations.

The serviceClass and clientClass attributes are mutually exclusive.

Author:
  Dan

Field Summary
`protected String` | `clientClass`
`protected javax.xml.ws.BindingProvider` | `clientProxy`
`protected String` | `port`

Fields inherited from class org.mule.module.cxf.builder.AbstractClientMessageProcessorBuilder
`serviceClass`

Fields inherited from class org.mule.module.cxf.builder.AbstractOutboundMessageProcessorBuilder
`address, client, configuration, databinding, decoupledEndpoint, defaultMethod, defaultMethodName, enableMuleSoapHeaders, features, inFaultInterceptors, inInterceptors, mtomEnabled, muleContext, operation, outFaultInterceptors, outInterceptors, payloadToArguments, properties, wsdlLocation`

Constructor Summary
`JaxWsClientMessageProcessorBuilder()`

Method Summary
`protected void` | `configureMessageProcessor(CxfOutboundMessageProcessor processor)`
`protected org.apache.cxf.endpoint.Client` | `createClient()`
`String` | `getClientClass()`
`String` | `getPort()`
`void` | `setClientClass(String clientClass)`
`void` | `setPort(String port)`

Methods inherited from class org.mule.module.cxf.builder.AbstractClientMessageProcessorBuilder
`configureClient, getServiceClass, setServiceClass`

Methods inherited from class org.mule.module.cxf.builder.AbstractOutboundMessageProcessorBuilder
`addMuleInterceptors, build, createClientFromLocalServer, createMessageProcessor, getAddress, getBus, getClient, getConfiguration, getDatabinding, getDecoupledEndpoint, getFeatures, getInFaultInterceptors, getInInterceptors, getOperation, getOutFaultInterceptors, getOutInterceptors, getPayloadToArguments, getProperties, getWsdlLocation, isEnableMuleSoapHeaders, isMtomEnabled, setAddress, setConfiguration, setDatabinding, setDecoupledEndpoint, setEnableMuleSoapHeaders, setFeatures, setInFaultInterceptors, setInInterceptors, setMtomEnabled, setMuleContext, setOperation, setOutFaultInterceptors, setOutInterceptors, setPayloadToArguments, setProperties, setWsdlLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### clientProxy

    protected javax.xml.ws.BindingProvider clientProxy

### clientClass

    protected String clientClass

### port

    protected String port

Constructor Detail

### JaxWsClientMessageProcessorBuilder

    public JaxWsClientMessageProcessorBuilder()

Method Detail

### createClient

    protected org.apache.cxf.endpoint.Client createClient()
                                                   throws CreateException,
                                                          Exception

  Specified by:
    `createClient` in class `AbstractOutboundMessageProcessorBuilder`
  Throws:
    `CreateException`
    `Exception`

### configureMessageProcessor

    protected void configureMessageProcessor(CxfOutboundMessageProcessor processor)

  Overrides:
    `configureMessageProcessor` in class `AbstractOutboundMessageProcessorBuilder`

### getClientClass

    public String getClientClass()

### setClientClass

    public void setClientClass(String clientClass)

### getPort

    public String getPort()

### setPort

    public void setPort(String port)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.